package com.zehong.system.domain;

import java.util.Date;

public class EquipmentForm {


    /**
     * 主键
     */
    private Integer relationId;

    /**
     * 关联设备id
     */
    private Integer relationDeviceId;

    /**
     * 设备名称
     */
    private String deviceNames;

    /**
     * 设备编号
     */
    private String deviceCodes;

    /**
     * 创建时间
     * @return
     */
    private Date createTime;

    public Integer getRelationId() {
        return relationId;
    }

    public void setRelationId(Integer relationId) {
        this.relationId = relationId;
    }

    public Integer getRelationDeviceId() {
        return relationDeviceId;
    }

    public void setRelationDeviceId(Integer relationDeviceId) {
        this.relationDeviceId = relationDeviceId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDeviceNames() {
        return deviceNames;
    }

    public void setDeviceNames(String deviceNames) {
        this.deviceNames = deviceNames;
    }

    public String getDeviceCodes() {
        return deviceCodes;
    }

    public void setDeviceCodes(String deviceCodes) {
        this.deviceCodes = deviceCodes;
    }

    @Override
    public String toString() {
        return "EquipmentForm{" +
                "relationId=" + relationId +
                ", relationDeviceId=" + relationDeviceId +
                ", deviceNames='" + deviceNames + '\'' +
                ", deviceCodes='" + deviceCodes + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
